Bug 1972535 - cmake: FTBFS because it assumes libdl.so exists and can be loaded
Summary: cmake: FTBFS because it assumes libdl.so exists and can be loaded
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1975096
TreeView+ depends on / blocked
 
Reported: 2021-06-16 07:09 UTC by Florian Weimer
Modified: 2021-06-23 06:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1975096 (view as bug list)
Environment:
Last Closed: 2021-06-18 21:14:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2021-06-16 07:09:26 UTC
A build-time test fails:

test 13
        Start  13: kwsys.testDynamicLoader
13: Test command: /builddir/build/BUILD/cmake-3.20.3/x86_64-redhat-linux-gnu/Source/kwsys/cmsysTestsCxx "testDynamicLoader"
13: Test timeout computed to be: 1500
13: Testing: azerty_
13: Testing: /builddir/build/BUILD/cmake-3.20.3/Source/kwsys/testSystemTools.bin
13: Testing: foobar.lib
13: Testing: libdl.so
13: OpenLibrary: libdl.so: cannot open shared object file: No such file or directory
13: Testing: libdl.so
13: OpenLibrary: libdl.so: cannot open shared object file: No such file or directory
13: Testing: /builddir/build/BUILD/cmake-3.20.3/x86_64-redhat-linux-gnu/Source/kwsys/libcmsysTestDynload.so
13: Testing: /builddir/build/BUILD/cmake-3.20.3/x86_64-redhat-linux-gnu/Source/kwsys/libcmsysTestDynload.so
13: Testing: /builddir/build/BUILD/cmake-3.20.3/x86_64-redhat-linux-gnu/Source/kwsys/libcmsysTestDynload.so
13: Testing: /builddir/build/BUILD/cmake-3.20.3/x86_64-redhat-linux-gnu/Source/kwsys/libcmsysTestDynload.so
13: Testing: /builddir/build/BUILD/cmake-3.20.3/x86_64-redhat-linux-gnu/Source/kwsys/libcmsysTestDynload.so
 33/645 Test  #13: kwsys.testDynamicLoader ............................***Failed    0.00 sec

The test probably should include <gnu/lib-names.h> and use the LIBDL_SO macro defined there.

Comment 1 Rex Dieter 2021-06-18 18:13:17 UTC
Submitted upstream,

https://gitlab.kitware.com/cmake/cmake/-/issues/22321


Note You need to log in before you can comment on or make changes to this bug.